Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		fontconfig
Version:	2.8.0
Release:	2
License:	MIT
URL:		http://fontconfig.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Source1: 	40-blacklist-fonts.conf
Source2: 	50-no-hint-fonts.conf
Source3:	local.conf

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Fontconfig is a library for font customization and configuration.

BuildRequires:  perl
BuildRequires:  lynx
BuildRequires:  docbook-utils
BuildRequires:  openjade-devel
BuildRequires:  which


Requires(pre):	/bin/rm
Requires(pre):	/bin/touch
Requires(pre):	/bin/mkdir

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
Fontconfig is a library for font customization and configuration.
For more details see: http://fontconfig.org

%package	devel
Summary: 	%{name} development headers.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release} freetype-devel

%description	devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

%post
/sbin/ldconfig
umask 0022
/bin/mkdir -p %{_localstatedir}/cache/fontconfig

# Remove stale caches
/bin/rm -f %{_localstatedir}/cache/fontconfig/????????????????????????????????.cache-2
/bin/rm -f %{_localstatedir}/cache/fontconfig/stamp

if [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache --version 2>&1 | grep -q %{version} ; then
  HOME=/root /usr/bin/fc-cache -f
fi

%postun
ldconfig

%prep
%setup -q

%build
%configure \
--with-add-fonts=/usr/share/X11/fonts/Type1,/usr/share/X11/fonts/TTF
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/fonts/

# move installed doc files back to build directory to package themm
# in the right place
mv $RPM_BUILD_ROOT%{_docdir}/fontconfig/* .
rmdir $RPM_BUILD_ROOT%{_docdir}/fontconfig/

# All font packages depend on this package, so we create
# and own /usr/share/fonts
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING
%doc fontconfig-user.txt fontconfig-user.html
%_libdir/libfontconfig.so.*
%_bindir/fc-cache
%_bindir/fc-list
%_bindir/fc-match
%_bindir/fc-cat
%_bindir/fc-query
%_bindir/fc-scan
%_sysconfdir/fonts/fonts.dtd
%config %_sysconfdir/fonts/fonts.conf
%config %_sysconfdir/fonts/local.conf
%config %_sysconfdir/fonts/conf.d/*.conf
%config %_sysconfdir/fonts/conf.avail/*.conf
%_sysconfdir/fonts/conf.d/README
#%_sysconfdir/fonts/conf.avail/README
%dir %_localstatedir/cache/fontconfig
%{_mandir}/man1/fc-cache.1.gz
%{_mandir}/man1/fc-cat.1.gz
%{_mandir}/man1/fc-list.1.gz
%{_mandir}/man1/fc-match.1.gz
%{_mandir}/man1/fc-query.1.gz
%{_mandir}/man1/fc-scan.1.gz
%{_mandir}/man5/fonts-conf.5.gz

%files devel
%defattr(-,root,root)
%doc fontconfig-devel.txt fontconfig-devel
%_libdir/libfontconfig.so
%_pkgconfig/fontconfig.pc
%_includedir/fontconfig
%_libdir/libfontconfig.la
%_libdir/libfontconfig.a
%{_mandir}/man3/FcAtomicCreate.3.gz
%{_mandir}/man3/FcAtomicDeleteNew.3.gz
%{_mandir}/man3/FcAtomicDestroy.3.gz
%{_mandir}/man3/FcAtomicLock.3.gz
%{_mandir}/man3/FcAtomicNewFile.3.gz
%{_mandir}/man3/FcAtomicOrigFile.3.gz
%{_mandir}/man3/FcAtomicReplaceOrig.3.gz
%{_mandir}/man3/FcAtomicUnlock.3.gz
%{_mandir}/man3/FcBlanksAdd.3.gz
%{_mandir}/man3/FcBlanksCreate.3.gz
%{_mandir}/man3/FcBlanksDestroy.3.gz
%{_mandir}/man3/FcBlanksIsMember.3.gz
%{_mandir}/man3/FcCacheCopySet.3.gz
%{_mandir}/man3/FcCacheDir.3.gz
%{_mandir}/man3/FcCacheNumFont.3.gz
%{_mandir}/man3/FcCacheNumSubdir.3.gz
%{_mandir}/man3/FcCacheSubdir.3.gz
%{_mandir}/man3/FcCharSetAddChar.3.gz
%{_mandir}/man3/FcCharSetCopy.3.gz
%{_mandir}/man3/FcCharSetCount.3.gz
%{_mandir}/man3/FcCharSetCoverage.3.gz
%{_mandir}/man3/FcCharSetCreate.3.gz
%{_mandir}/man3/FcCharSetDestroy.3.gz
%{_mandir}/man3/FcCharSetEqual.3.gz
%{_mandir}/man3/FcCharSetFirstPage.3.gz
%{_mandir}/man3/FcCharSetHasChar.3.gz
%{_mandir}/man3/FcCharSetIntersect.3.gz
%{_mandir}/man3/FcCharSetIntersectCount.3.gz
%{_mandir}/man3/FcCharSetIsSubset.3.gz
%{_mandir}/man3/FcCharSetMerge.3.gz
%{_mandir}/man3/FcCharSetNew.3.gz
%{_mandir}/man3/FcCharSetNextPage.3.gz
%{_mandir}/man3/FcCharSetSubtract.3.gz
%{_mandir}/man3/FcCharSetSubtractCount.3.gz
%{_mandir}/man3/FcCharSetUnion.3.gz
%{_mandir}/man3/FcConfigAppFontAddDir.3.gz
%{_mandir}/man3/FcConfigAppFontAddFile.3.gz        
%{_mandir}/man3/FcConfigAppFontClear.3.gz          
%{_mandir}/man3/FcConfigBuildFonts.3.gz            
%{_mandir}/man3/FcConfigCreate.3.gz                
%{_mandir}/man3/FcConfigDestroy.3.gz               
%{_mandir}/man3/FcConfigEnableHome.3.gz            
%{_mandir}/man3/FcConfigFilename.3.gz              
%{_mandir}/man3/FcConfigGetBlanks.3.gz             
%{_mandir}/man3/FcConfigGetCache.3.gz              
%{_mandir}/man3/FcConfigGetCacheDirs.3.gz          
%{_mandir}/man3/FcConfigGetConfigDirs.3.gz         
%{_mandir}/man3/FcConfigGetConfigFiles.3.gz        
%{_mandir}/man3/FcConfigGetCurrent.3.gz            
%{_mandir}/man3/FcConfigGetFontDirs.3.gz           
%{_mandir}/man3/FcConfigGetFonts.3.gz              
%{_mandir}/man3/FcConfigGetRescanInterval.3.gz     
%{_mandir}/man3/FcConfigHome.3.gz                  
%{_mandir}/man3/FcConfigParseAndLoad.3.gz          
%{_mandir}/man3/FcConfigReference.3.gz             
%{_mandir}/man3/FcConfigSetCurrent.3.gz            
%{_mandir}/man3/FcConfigSetRescanInterval.3.gz     
%{_mandir}/man3/FcConfigSubstitute.3.gz            
%{_mandir}/man3/FcConfigSubstituteWithPat.3.gz     
%{_mandir}/man3/FcConfigUptoDate.3.gz              
%{_mandir}/man3/FcDefaultSubstitute.3.gz           
%{_mandir}/man3/FcDirCacheLoad.3.gz                
%{_mandir}/man3/FcDirCacheLoadFile.3.gz            
%{_mandir}/man3/FcDirCacheRead.3.gz                
%{_mandir}/man3/FcDirCacheUnlink.3.gz              
%{_mandir}/man3/FcDirCacheUnload.3.gz              
%{_mandir}/man3/FcDirCacheValid.3.gz               
%{_mandir}/man3/FcDirSave.3.gz                     
%{_mandir}/man3/FcDirScan.3.gz                     
%{_mandir}/man3/FcFileIsDir.3.gz                   
%{_mandir}/man3/FcFileScan.3.gz                    
%{_mandir}/man3/FcFini.3.gz                        
%{_mandir}/man3/FcFontList.3.gz                    
%{_mandir}/man3/FcFontMatch.3.gz                   
%{_mandir}/man3/FcFontRenderPrepare.3.gz           
%{_mandir}/man3/FcFontSetAdd.3.gz                  
%{_mandir}/man3/FcFontSetCreate.3.gz               
%{_mandir}/man3/FcFontSetDestroy.3.gz              
%{_mandir}/man3/FcFontSetList.3.gz                 
%{_mandir}/man3/FcFontSetMatch.3.gz                
%{_mandir}/man3/FcFontSetPrint.3.gz                
%{_mandir}/man3/FcFontSetSort.3.gz                 
%{_mandir}/man3/FcFontSetSortDestroy.3.gz          
%{_mandir}/man3/FcFontSort.3.gz                    
%{_mandir}/man3/FcFreeTypeCharIndex.3.gz           
%{_mandir}/man3/FcFreeTypeCharSet.3.gz             
%{_mandir}/man3/FcFreeTypeCharSetAndSpacing.3.gz   
%{_mandir}/man3/FcFreeTypeQuery.3.gz               
%{_mandir}/man3/FcFreeTypeQueryFace.3.gz           
%{_mandir}/man3/FcGetLangs.3.gz                    
%{_mandir}/man3/FcGetVersion.3.gz                  
%{_mandir}/man3/FcInit.3.gz                        
%{_mandir}/man3/FcInitBringUptoDate.3.gz           
%{_mandir}/man3/FcInitLoadConfig.3.gz              
%{_mandir}/man3/FcInitLoadConfigAndFonts.3.gz      
%{_mandir}/man3/FcInitReinitialize.3.gz            
%{_mandir}/man3/FcIsLower.3.gz                     
%{_mandir}/man3/FcIsUpper.3.gz                     
%{_mandir}/man3/FcLangGetCharSet.3.gz              
%{_mandir}/man3/FcLangSetAdd.3.gz                  
%{_mandir}/man3/FcLangSetCompare.3.gz              
%{_mandir}/man3/FcLangSetContains.3.gz             
%{_mandir}/man3/FcLangSetCopy.3.gz                 
%{_mandir}/man3/FcLangSetCreate.3.gz               
%{_mandir}/man3/FcLangSetDestroy.3.gz              
%{_mandir}/man3/FcLangSetEqual.3.gz                
%{_mandir}/man3/FcLangSetGetLangs.3.gz             
%{_mandir}/man3/FcLangSetHasLang.3.gz              
%{_mandir}/man3/FcLangSetHash.3.gz                 
%{_mandir}/man3/FcMatrixCopy.3.gz                  
%{_mandir}/man3/FcMatrixEqual.3.gz                 
%{_mandir}/man3/FcMatrixInit.3.gz                  
%{_mandir}/man3/FcMatrixMultiply.3.gz
%{_mandir}/man3/FcMatrixRotate.3.gz
%{_mandir}/man3/FcMatrixScale.3.gz
%{_mandir}/man3/FcMatrixShear.3.gz
%{_mandir}/man3/FcNameConstant.3.gz
%{_mandir}/man3/FcNameGetConstant.3.gz
%{_mandir}/man3/FcNameGetObjectType.3.gz
%{_mandir}/man3/FcNameParse.3.gz
%{_mandir}/man3/FcNameRegisterConstants.3.gz
%{_mandir}/man3/FcNameRegisterObjectTypes.3.gz
%{_mandir}/man3/FcNameUnparse.3.gz
%{_mandir}/man3/FcNameUnregisterConstants.3.gz
%{_mandir}/man3/FcNameUnregisterObjectTypes.3.gz
%{_mandir}/man3/FcObjectSetAdd.3.gz
%{_mandir}/man3/FcObjectSetBuild.3.gz
%{_mandir}/man3/FcObjectSetCreate.3.gz
%{_mandir}/man3/FcObjectSetDestroy.3.gz
%{_mandir}/man3/FcPatternAdd-Type.3.gz
%{_mandir}/man3/FcPatternAdd.3.gz
%{_mandir}/man3/FcPatternAddWeak.3.gz
%{_mandir}/man3/FcPatternBuild.3.gz
%{_mandir}/man3/FcPatternCreate.3.gz
%{_mandir}/man3/FcPatternDel.3.gz
%{_mandir}/man3/FcPatternDestroy.3.gz
%{_mandir}/man3/FcPatternDuplicate.3.gz
%{_mandir}/man3/FcPatternEqual.3.gz
%{_mandir}/man3/FcPatternEqualSubset.3.gz
%{_mandir}/man3/FcPatternFilter.3.gz
%{_mandir}/man3/FcPatternFormat.3.gz
%{_mandir}/man3/FcPatternGet-Type.3.gz
%{_mandir}/man3/FcPatternGet.3.gz
%{_mandir}/man3/FcPatternHash.3.gz
%{_mandir}/man3/FcPatternPrint.3.gz
%{_mandir}/man3/FcPatternReference.3.gz
%{_mandir}/man3/FcPatternRemove.3.gz
%{_mandir}/man3/FcStrBasename.3.gz
%{_mandir}/man3/FcStrCmp.3.gz
%{_mandir}/man3/FcStrCmpIgnoreCase.3.gz
%{_mandir}/man3/FcStrCopy.3.gz
%{_mandir}/man3/FcStrCopyFilename.3.gz
%{_mandir}/man3/FcStrDirname.3.gz
%{_mandir}/man3/FcStrDowncase.3.gz
%{_mandir}/man3/FcStrFree.3.gz
%{_mandir}/man3/FcStrListCreate.3.gz
%{_mandir}/man3/FcStrListDone.3.gz
%{_mandir}/man3/FcStrListNext.3.gz
%{_mandir}/man3/FcStrPlus.3.gz
%{_mandir}/man3/FcStrSetAdd.3.gz
%{_mandir}/man3/FcStrSetAddFilename.3.gz
%{_mandir}/man3/FcStrSetCreate.3.gz
%{_mandir}/man3/FcStrSetDel.3.gz
%{_mandir}/man3/FcStrSetDestroy.3.gz
%{_mandir}/man3/FcStrSetEqual.3.gz
%{_mandir}/man3/FcStrSetMember.3.gz
%{_mandir}/man3/FcStrStr.3.gz
%{_mandir}/man3/FcStrStrIgnoreCase.3.gz
%{_mandir}/man3/FcToLower.3.gz
%{_mandir}/man3/FcUcs4ToUtf8.3.gz
%{_mandir}/man3/FcUtf16Len.3.gz
%{_mandir}/man3/FcUtf16ToUcs4.3.gz
%{_mandir}/man3/FcUtf8Len.3.gz
%{_mandir}/man3/FcUtf8ToUcs4.3.gz
%{_mandir}/man3/FcValueDestroy.3.gz
%{_mandir}/man3/FcValueEqual.3.gz
%{_mandir}/man3/FcValuePrint.3.gz
%{_mandir}/man3/FcValueSave.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8.0-2
- rebuilt
* Wed Aug 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8.0-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.7.3-1
- version update
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.6.0-3
- added Requires(pre)
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.6.0-2
- Version update
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.4.2-3
- fixed post scriplet
* Fri Jan 11 2008 Christian Wasem <wasem@ccux-linux.de> 2.4.2-2
- remove bad install behavior
* Sun May 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.2-1
- Version update
* Wed Sep 13 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.95-3
- readded missing .la and .a files
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.95-2
- added local.conf for xorg 7.1
* Wed Jul 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.95-1
- Version update
* Wed Jul 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.2-4
- rebuilt with new font path
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.2-3
- added BuildRequires
* Sun Apr 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.2-2
- Fixed minor Bug
* Sun Jul 10 2005 Christian Wasem <wasem@ccux-linux.de> 2.3.2-1
- update to Version 2.3.2
